# Uses of Class
java.nio.channels.ClosedChannelException

Packages that use ClosedChannelException
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of ClosedChannelException in java.nio.channels

Subclasses of ClosedChannelException in java.nio.channels
Modifier and Type
Class
Description
`class`
`AsynchronousCloseException`
Checked exception received by a thread when another thread closes the channel or the part of the channel upon which it is blocked in an I/O operation.
`class`
`ClosedByInterruptException`
Checked exception received by a thread when another thread interrupts it while it is blocked in an I/O operation upon a channel.
Methods in java.nio.channels that throw ClosedChannelException
Modifier and Type
Method
Description
`final SelectionKey`
SelectableChannel.`register(Selector sel, int ops)`
Registers this channel with the given selector, returning a selection key.
`abstract SelectionKey`
SelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.

## Uses of ClosedChannelException in java.nio.channels.spi

Methods in java.nio.channels.spi that throw ClosedChannelException
Modifier and Type
Method
Description
`final SelectionKey`
AbstractSelectableChannel.`register(Selector sel, int ops, Object att)`
Registers this channel with the given selector, returning a selection key.